乐筑天下

搜索
欢迎各位开发者和用户入驻本平台 尊重版权,从我做起,拒绝盗版,拒绝倒卖 签到、发布资源、邀请好友注册,可以获得银币 请注意保管好自己的密码,避免账户资金被盗
查看: 38|回复: 4

[编程交流] 如何将while循环添加到此

[复制链接]

8

主题

37

帖子

30

银币

初来乍到

Rank: 1

铜币
40
发表于 2022-7-5 17:09:51 | 显示全部楼层 |阅读模式
大家好,every1,我想在这个lisp中添加while循环。因此,它不会在单次执行后结束,并继续运行,直到我按ESC或ENTER键。
plz帮助
 
  1. ;;By Andrea Andreetti        2008-11-27                        ;;
  2. ;;                                                        ;;
  3. ;;                D U C T A T T A C H                         ;;
  4. ;;             Takeoff Disttance 100                        ;;
  5. ;;                                                          ;;
  6.                                                         ;;
  7. (princ "\nDuctAttach v.1.0        By: Andrea Andreetti")
  8. (vl-load-com)
  9. (defun    c:DuctAttach (/ Ent_10 Ent_11 Ent_62 Ent_0 Inter_L1 Inter_L2 entData Basepoint1 Basepoint2
  10.                 Dduct grjp1 grjp2 ficp1 ficp2 ficpX #DCswitch Dway1 Dway2 Dway3 Dway4 ArcEnt
  11.                 dr_sel1 dr_sel2 SLi_0 VLA_line1 VLA_line1_start VLA_line1_end ArcEntLIST
  12.                 VLA_line2 VLA_line2_start VLA_line2_end 4po GEN_clayercolor Input entData arcX arcY
  13.                     newLine 1_sp 1_sp 3_sp 4_sp)
  14. (setq ArcEnt nil)
  15. ;;        Degre Conversion        ;;
  16.                                 ;;
  17. (defun dtr (a)
  18. (* pi (/ a 180.0))
  19. )
  20. (defun rtd (a)
  21. (/ (* a 180) pi)
  22. )  
  23.                                 ;;
  24. ;;        Degre Conversion        ;;
  25. (DCclean)
  26. (if (not #DCswitch)(setq #DCswitch 0))  
  27. (setq dr_sel1 nil
  28.      dr_sel2 nil)
  29. (while (or (= dr_sel1 nil)
  30.           (/= (cdr (assoc 0 (setq dr_sel1data (entget (car dr_sel1))))) "LINE")
  31.       )
  32. (setq dr_sel1 (entsel "\nSelect the Branch Duct Lines"))
  33. )
  34. (while (or (= dr_sel2 nil)
  35.           (/= (cdr (assoc 0 (setq dr_sel2data (entget (car dr_sel2))))) "LINE")
  36.       )
  37. (setq dr_sel2 (entsel "\nSelect the Branch Duct Lines"))
  38. )
  39. (if (and dr_sel1 dr_sel2)
  40. (progn
  41. (setq SLi_0   (cdr (assoc 8 (entget (car dr_sel1)))))
  42. (setq VLA_line1 (vlax-ename->vla-object (car dr_sel1)))
  43. (setq VLA_line1_start (vlax-get VLA_line1 'startpoint))
  44. (setq VLA_line1_end   (vlax-get VLA_line1 'endpoint))
  45. (setq VLA_line2 (vlax-ename->vla-object (car dr_sel2)))
  46. (setq VLA_line2_start (vlax-get VLA_line2 'startpoint))
  47. (setq VLA_line2_end   (vlax-get VLA_line2 'endpoint))      
  48. (if (< (getvar "LUNITS") 3)
  49. (setq 4po 100)
  50. (setq 4po 4)
  51. )
  52. (setq GEN_clayercolor (cdr (assoc 62 (entget (tblobjname "layer" (getvar "clayer"))))))
  53.    
  54. (defun *error* (msg)
  55. (DCclean)
  56. (if VLA_line0 (progn (vlax-release-object VLA_line0)(setq VLA_line0 nil)))   
  57. (if VLA_line1 (progn (vlax-release-object VLA_line1)(setq VLA_line1 nil)))
  58. (if Nline (progn (vlax-release-object Nline)(setq Nline nil)))
  59. (if Sline (progn (vlax-release-object Sline)(setq Sline nil)))
  60. (princ msg)
  61. )
  62. (while (and (setq Input (grread T 4 4))
  63.              (or (= (car Input) 5)
  64.                  (and
  65.                  (= (car Input) 2)  
  66.                  (= (cadr Input) 9)
  67.                  )
  68.                  )
  69.          )
  70.    
  71. ;;SWITCH MODE                                ;;
  72.                                            ;;
  73. (if (and (= (car Input) 2)
  74.         (= (cadr Input) 9)
  75.    )
  76. (progn
  77. (setq Input (grread T 4 4))
  78. (if (> #DCswitch 5)
  79.    (setq #DCswitch 0)
  80.    (setq #DCswitch (1+ #DCswitch))
  81. )
  82. (progn
  83. (if (eq #DCswitch 0) (princ "\n- Switched to Square/Square excentric connection -"))
  84. (if (eq #DCswitch 1) (princ "\n- Switched to Square/Square Straight connection -"))
  85. (if (eq #DCswitch 2) (princ "\n- Switched to Square/Square Concentric connection -"))
  86. (if (eq #DCswitch 3) (princ "\n- Switched to Round/Square Concentric connection -"))
  87. (if (eq #DCswitch 4) (princ "\n- Switched to Round/Round Concentric connection -"))
  88. (if (eq #DCswitch 4) (princ "\n- Switched to Round/Round Straight connection -"))
  89. )
  90. )
  91. )
  92. (DCswitch)
  93.                                           ;;
  94. ;;SWITCH MODE                                ;;
  95. )
  96. )
  97. )
  98. (DCclean)
  99. (if (eq (car Input) 3)
  100. (Ductattach_exe)
  101. )
  102. )
  103.                                                         ;;
  104. ;;                                                        ;;
  105. ;;                D U C T A T T A C H                         ;;
  106. ;;                                                          ;;
  107.    
  108. ;;                                                        ;;
  109. ;;                D C S W I T C H                                ;;
  110. ;;                                                          ;;
  111.                                                 ;;
  112. (defun DCswitch (/ )
  113.     (if (and (setq EntName    (car (nentselp (setq cursorLocation (cadr Input)))))
  114. (not (eq Iname EntName))
  115.         )
  116.       (progn
  117.        (DCclean)
  118. (setq entData (entget EntName))
  119. (setq Ent_0   (cdr (assoc 0 entData)))
  120. (if (setq Ent_62 (assoc 62 entData))
  121. (setq Ent_62   (cdr Ent_62))
  122. (setq Ent_62 GEN_clayercolor)
  123. )
  124. (setq Ent_10   (cdr (assoc 10 entData)))        
  125. (setq Ent_11   (cdr (assoc 11 entData)))
  126.       
  127. (if (eq Ent_0 "LINE")
  128. (progn
  129. (setq VLA_line0 (vlax-ename->vla-object (cdr (car entData))))
  130. (setq Inter_L1 (vlax-invoke VLA_line0 'intersectwith VLA_line1 acExtendBoth))
  131. (setq Inter_L2 (vlax-invoke VLA_line0 'intersectwith VLA_line2 acExtendBoth))
  132. (if (and Inter_L1 Inter_L2)
  133. (progn
  134.    (if (<
  135.          (distance Inter_L1 VLA_line1_start)
  136.          (distance Inter_L1 VLA_line1_end)
  137.         )
  138.      (setq Basepoint1 VLA_line1_end)
  139.      (setq Basepoint1 VLA_line1_start)
  140.    )
  141.    (if (<
  142.          (distance Inter_L2 VLA_line2_start)
  143.          (distance Inter_L2 VLA_line2_end)
  144.         )
  145.      (setq Basepoint2 VLA_line2_end)
  146.      (setq Basepoint2 VLA_line2_start)
  147.    )
  148. (setq Dduct (+ (distance Basepoint1 Basepoint2) 4po))
  149.    
  150. (setq grjp1 (polar Inter_L1 (angle Inter_L1 Basepoint1) 4po))
  151. (setq grjp2 (polar Inter_L2 (angle Inter_L2 Basepoint2) 4po))
  152. (if (/= (distance grjp1 Inter_L2)(distance grjp2 Inter_L1))
  153.    (if (>  (distance grjp1 Inter_L2)(distance grjp2 Inter_L1))
  154.   (progn
  155. (setq ficp1 (polar grjp1 (+ (angle inter_L1 grjp1) (dtr 90)) 4po))
  156. (setq ficp2 (polar grjp1 (- (angle inter_L1 grjp1) (dtr 90)) 4po))
  157. (if (< (distance ficp1 grjp2)(distance ficp2 grjp2))
  158. (setq ficpx ficp1)
  159. (setq ficpx ficp2)
  160. )
  161. (setq grjp2 (inters grjp1 ficpx inter_L2 basepoint2 nil))     
  162.    
  163. )
  164. (progn
  165. (setq ficp1 (polar grjp2 (+ (angle inter_L2 grjp2) (dtr 90)) 4po))
  166. (setq ficp2 (polar grjp2 (- (angle inter_L2 grjp2) (dtr 90)) 4po))
  167. (if (< (distance ficp1 grjp1)(distance ficp2 grjp1))
  168. (setq ficpx ficp1)
  169. (setq ficpx ficp2)
  170. )
  171. (setq grjp1 (inters grjp2 ficpx inter_L1 basepoint1 nil))     
  172.    
  173. )   
  174. )
  175. )
  176. ;;joint Line
  177. (grdraw Basepoint1 grjp1 Ent_62 1)
  178. (grdraw Basepoint2 grjp2 Ent_62 1)
  179. (grdraw grjp1 grjp2 Ent_62 1)
  180.    
  181.    
  182. ;;Square/Square excentric connection                        ;;
  183.                                                            ;;
  184. (if (= #DCswitch 0)
  185. (progn
  186. (if (and (/= #DCswitchOLD #DCswitch)
  187.           ArcEnt)
  188.    (progn (entdel ArcEnt)(setq ArcEnt nil))
  189. )
  190. (if (<
  191.      (distance cursorLocation Inter_L1)
  192.      (distance cursorLocation Inter_L2)
  193.    )
  194. (progn  
  195. (setq Dway1 grjp1)
  196. (setq Dway2 (polar Inter_L1 (angle Inter_L2 Inter_L1) 4po))
  197. (setq Dway3 grjp2
  198.        Dway4 Inter_L2)
  199. )
  200. (progn
  201. (setq Dway1 grjp2)  
  202. (setq Dway2 (polar Inter_L2 (angle Inter_L1 Inter_L2) 4po))
  203. (setq Dway3 grjp1
  204.        Dway4 Inter_L1)
  205. )
  206. )
  207. (setq #DCswitchOLD #DCswitch)
  208. )
  209. )
  210.                                                            ;;
  211. ;;Square/Square excentric connection                        ;;
  212.    
  213. ;;Switched to Square/Square Straight connection                ;;
  214.                                                            ;;
  215. (if (= #DCswitch 1)
  216. (progn
  217.    (if (and (/= #DCswitchOLD #DCswitch)
  218.           ArcEnt)
  219.    (progn (entdel ArcEnt)(setq ArcEnt nil))
  220. )  
  221. (setq Dway1 grjp1
  222.         Dway2 Inter_L1
  223.         Dway3 grjp2
  224.        Dway4 Inter_L2
  225. )
  226.    (setq #DCswitchOLD #DCswitch)
  227. )
  228. )
  229.                                                            ;;
  230. ;;Switched to Square/Square Straight connection                ;;
  231.    
  232. ;;Switched to Square/Square Concentric connection        ;;
  233.                                                            ;;
  234. (if (= #DCswitch 2)
  235. (progn
  236. (if (and (/= #DCswitchOLD #DCswitch)
  237.           ArcEnt)
  238.    (progn (entdel ArcEnt)(setq ArcEnt nil))
  239. )   
  240. (setq Dway1 grjp1
  241.         Dway2 (polar Inter_L1 (angle Inter_L2 Inter_L1) (/ 4po 2))
  242.         Dway3 grjp2
  243.        Dway4 (polar Inter_L2 (angle Inter_L1 Inter_L2) (/ 4po 2))
  244. )
  245. (setq #DCswitchOLD #DCswitch)
  246. )   
  247. )
  248.                                                            ;;
  249. ;;Switched to Square/Square Concentric connection        ;;
  250.    
  251.    
  252. ;;Switched to Round/Square Concentric connection        ;;
  253.                                                            ;;
  254. (if (= #DCswitch 3)
  255. (progn
  256. (if (and (/= #DCswitchOLD #DCswitch)
  257.           ArcEnt)
  258.    (progn (entdel ArcEnt)(setq ArcEnt nil))
  259. )   
  260. (setq Dway1 grjp1
  261.         Dway2 (polar Inter_L1 (angle Inter_L2 Inter_L1) (/ 4po 2))
  262.         Dway3 grjp2
  263.        Dway4 (polar Inter_L2 (angle Inter_L1 Inter_L2) (/ 4po 2))
  264. )
  265. (setq Rj1 (polar Dway1 (angle Inter_L1 Basepoint1) (* 4po 0.75)))
  266. (setq Rj2 (polar Dway3 (angle Inter_L2 Basepoint2) (* 4po 0.75)))
  267. (grdraw Rj1 Rj2 33 1)
  268. (setq #DCswitchOLD #DCswitch)
  269. )
  270. )
  271.                                                            ;;
  272. ;;Switched to Round/Square Concentric connection        ;;
  273.    
  274. ;;Switched to Round/Round Concentric connection                ;;
  275.                                                            ;;
  276. (if (= #DCswitch 4)
  277. (progn
  278. (if (and (/= #DCswitchOLD #DCswitch)
  279.           ArcEnt)
  280.    (progn (entdel ArcEnt)(setq ArcEnt nil))
  281. )   
  282. (setq Dway1 grjp1
  283.         Dway2 (polar Inter_L1 (angle Inter_L2 Inter_L1) (/ 4po 2))
  284.         Dway3 grjp2
  285.        Dway4 (polar Inter_L2 (angle Inter_L1 Inter_L2) (/ 4po 2))
  286. )
  287. (setq Rj1 (polar Dway1 (angle Inter_L1 Basepoint1) (* 4po 0.75)))
  288. (setq Rj2 (polar Dway3 (angle Inter_L2 Basepoint2) (* 4po 0.75)))
  289. (grdraw Rj1 Rj2 33 1)
  290. ;;Draw ARC
  291. (setq midjoint (polar Dway2 (angle Dway2 Dway4) (/ (distance Dway2 Dway4) 2)))  
  292. (setq cenOFarc (polar midjoint (+ (angle Dway2 Dway4) (dtr 90)) 4po))
  293. (if (> (distance cenOFarc Dway1)(distance midjoint Dway1))
  294. (setq cenOFarc (polar midjoint (- (angle Dway2 Dway4) (dtr 90)) 4po))
  295. )
  296. (setq arcX (polar midjoint (- (angle cenOFarc midjoint) (dtr 90)) (distance midjoint Dway2)))
  297. (setq arcY (polar midjoint (+ (angle cenOFarc midjoint) (dtr 90)) (distance midjoint Dway2)))  
  298. (setq ArcEntLIST
  299.     (list
  300.       '(0 . "ARC");;Type
  301.       (cons 8 SLi_0);;Layer
  302.       '(100 . "AcDbCircle");;Catégorie
  303.       (cons 10 cenOFarc);;Center Point
  304.       (cons 40 (distance cenOFarc Dway2));;Radius
  305.       '(100 . "AcDbArc")
  306.       (cons 50 (angle cenOFarc arcX));;Dway2))
  307.       (cons 51 (angle cenOFarc arcY));;Dway4))
  308.              (cons 62 Ent_62)
  309.     )
  310. )
  311. (setq ArcEnt (entmakex ArcEntLIST))      
  312. (setq #DCswitchOLD #DCswitch)            
  313. )  
  314. )
  315.                                                            ;;
  316. ;;Switched to Round/Round Concentric connection                ;;
  317. ;;Switched to Round/Round Straight connection                ;;
  318.                                                            ;;
  319. (if (= #DCswitch 5)
  320. (progn
  321. (if (and (/= #DCswitchOLD #DCswitch)
  322.           ArcEnt)
  323.    (progn (entdel ArcEnt)(setq ArcEnt nil))
  324. )   
  325. (setq Dway1 grjp1
  326.         Dway2 Inter_L1
  327.         Dway3 grjp2
  328.        Dway4 Inter_L2
  329. )
  330. (setq Rj1 (polar Dway1 (angle Inter_L1 Basepoint1) (* 4po 0.75)))
  331. (setq Rj2 (polar Dway3 (angle Inter_L2 Basepoint2) (* 4po 0.75)))
  332. (grdraw Rj1 Rj2 33 1)
  333. ;;Draw ARC
  334. (setq midjoint (polar Dway2 (angle Dway2 Dway4) (/ (distance Dway2 Dway4) 2)))  
  335. (setq cenOFarc (polar midjoint (+ (angle Dway2 Dway4) (dtr 90)) 4po))
  336. (if (> (distance cenOFarc Dway1)(distance midjoint Dway1))
  337. (setq cenOFarc (polar midjoint (- (angle Dway2 Dway4) (dtr 90)) 4po))
  338. )
  339. (setq arcX (polar midjoint (- (angle cenOFarc midjoint) (dtr 90)) (distance midjoint Dway2)))
  340. (setq arcY (polar midjoint (+ (angle cenOFarc midjoint) (dtr 90)) (distance midjoint Dway2)))
  341. (setq ArcEntLIST
  342.     (list
  343.       '(0 . "ARC");;Type
  344.       (cons 8 SLi_0);;Layer
  345.       '(100 . "AcDbCircle");;Catégorie
  346.       (cons 10 cenOFarc);;Center Point
  347.       (cons 40 (distance cenOFarc Dway2));;Radius
  348.       '(100 . "AcDbArc")
  349.       (cons 50 (angle cenOFarc arcX))
  350.       (cons 51 (angle cenOFarc arcY))
  351.              (cons 62 Ent_62)
  352.     )
  353. )
  354. (setq ArcEnt (entmakex ArcEntLIST))
  355. (setq #DCswitchOLD #DCswitch)
  356. )
  357. )
  358.                                                            ;;
  359. ;;Switched to Round/Round Straight connection                ;;
  360.    
  361.    
  362. ;;GRDRAW Connection
  363. (grdraw Dway1 Dway2 Ent_62 1)
  364. (grdraw Dway3 Dway4 Ent_62 1)
  365. )
  366. )
  367. )
  368. )
  369. (if (= (car Input) 11)(DCclean))
  370. )
  371. )
  372. )
  373.                                                 ;;
  374. ;;                                                        ;;
  375. ;;                D C S W I T C H                                ;;
  376. ;;                                                          ;;
  377. ;;                                                        ;;
  378. ;;                DUCTATTACH_EXE                                ;;
  379. ;;                                                          ;;
  380.                                                 ;;
  381. (defun Ductattach_exe ()
  382. (if (and Dway1 Dway2 Dway3 Dway4)
  383. (progn
  384. (setq        actdoc          (vla-get-activedocument (vlax-get-acad-object)))
  385. (setq        space          (if (= (getvar "cvport") 1)
  386.             (vla-get-paperspace actdoc)
  387.             (vla-get-modelspace actdoc)
  388.           )
  389. )
  390.    
  391. (vla-put-StartPoint VLA_line1 (vlax-3d-point basepoint1))
  392. (vla-put-EndPoint VLA_line1 (vlax-3d-point grjp1))
  393. (vla-put-StartPoint VLA_line2 (vlax-3d-point basepoint2))
  394. (vla-put-EndPoint VLA_line2 (vlax-3d-point grjp2))
  395. (setq newLine (vlax-invoke space 'addline Dway1 Dway3))
  396. (NLINE_chprop newline VLA_line1)
  397. (setq newLine (vlax-invoke space 'addline Dway3 Dway4))
  398. (NLINE_chprop newline VLA_line1)
  399. (setq newLine (vlax-invoke space 'addline Dway1 Dway2))
  400. (NLINE_chprop newline VLA_line1)  
  401. ;; Round Duct Joint connection
  402. (if (> #DCswitch 2)
  403. (progn
  404. (setq newLine (vlax-invoke space 'addline Rj1 Rj2))
  405. ;;Layer
  406.   (setq N_layer (vla-get-layer VLA_line1))
  407.   (vla-put-layer newLine N_layer)
  408. ;;Color
  409.   (vla-put-color newLine "33")
  410. ;;Linetype
  411. ;;Assume that ACAD.LIN exist and contain the ACAD_ISO03W100 Linetype.
  412. (if (not (member "ACAD_ISO03W100" (mapcar 'strcase (ai_table "LTYPE" 0))))
  413. (vl-cmdf "._linetype" "_L" "ACAD_ISO03W100" "acad.lin" ""))
  414. (vla-put-linetype newline "ACAD_ISO03W100")
  415. );_progn
  416. );_if
  417. ;; Round Duct to Round Duct ARC design
  418. (if (> #DCswitch 3)
  419. (progn
  420. (if ArcEntLIST (entmakex ArcEntLIST))
  421. (setq newarc (vlax-ename->vla-object (entlast)))
  422. (NLINE_chprop newarc VLA_line1)
  423. (setq 1_sp (vlax-get VLA_line0 'startpoint))
  424. (setq 4_sp (vlax-get VLA_line0 'endpoint))
  425. (if (> (distance 1_sp Dway2)(distance 1_sp Dway4))
  426. (progn
  427. (setq 2_sp Dway4)
  428. (setq 3_sp Dway2)
  429. )
  430. (progn
  431. (setq 3_sp Dway4)  
  432. (setq 2_sp Dway2)
  433. )
  434. )
  435. (vla-put-StartPoint VLA_line0 (vlax-3d-point 1_sp))
  436. (vla-put-Endpoint VLA_line0 (vlax-3d-point 2_sp))
  437. (setq newLine (vlax-invoke space 'addline 3_sp 4_sp))
  438. (NLINE_chprop newline VLA_line0)
  439. )
  440. )
  441. );_progn
  442. )
  443. )
  444.                                                 ;;
  445. ;;                                                        ;;
  446. ;;                DUCTATTACH_EXE                                ;;
  447. ;;                                                          ;;
  448. ;;                                                        ;;
  449. ;;                NLINE_chprop                                ;;
  450. ;;                                                          ;;
  451.                                                 ;;
  452. (defun NLINE_chprop (Nline Sline)
  453. ;;Linetype
  454.   (setq N_linetype (vla-get-linetype Sline))
  455.   (vla-put-linetype NLine N_linetype)
  456. ;;Layer
  457.   (setq N_layer (vla-get-layer Sline))
  458.   (vla-put-layer NLine N_layer)
  459. ;;Color
  460.   (setq N_color (vla-get-Color Sline))
  461.   (vla-put-color NLine N_color)
  462. ;;Thickness
  463.   (setq N_thickness (vla-get-Thickness Sline))
  464.   (vla-put-Thickness NLine N_thickness)   
  465. )
  466.                                                 ;;
  467. ;;                                                        ;;
  468. ;;                NLINE_chprop                                ;;
  469. ;;                                                          ;;
  470. ;;                                                        ;;
  471. ;;                        DCclean                                ;;
  472. ;;                                                          ;;
  473.                                                 ;;
  474. (defun DCclean ()
  475. (if ArcEnt (progn (entdel ArcEnt)(setq ArcEnt nil)))
  476. (redraw)
  477. )
  478.                                                 ;;
  479. ;;                        Cclean                                ;;
  480. ;;                                                          ;;
回复

使用道具 举报

5

主题

1334

帖子

1410

银币

限制会员

铜币
-20
发表于 2022-7-5 17:36:12 | 显示全部楼层
也许,在启动lisp之前先命令MULTIPLE。。。
回复

使用道具 举报

8

主题

37

帖子

30

银币

初来乍到

Rank: 1

铜币
40
发表于 2022-7-5 17:44:57 | 显示全部楼层
 
thanx fr ur回复marko ribar。如何将该命令多次添加到此调用lisp的宏中。
  1. ^C^C(if (not c:DuctAttach)(load "DuctAttach" nil));DuctAttach;
回复

使用道具 举报

5

主题

1334

帖子

1410

银币

限制会员

铜币
-20
发表于 2022-7-5 17:57:00 | 显示全部楼层
不确定,但您是否尝试过:
 
  1. ^C^C(if (not c:DuctAttach)(load "DuctAttach" nil));MULTIPLE;DuctAttach;
回复

使用道具 举报

8

主题

37

帖子

30

银币

初来乍到

Rank: 1

铜币
40
发表于 2022-7-5 18:11:01 | 显示全部楼层
 
thanx很多marko_ribar它起了作用。
回复

使用道具 举报

发表回复

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

  • 微信公众平台

  • 扫描访问手机版

  • 点击图片下载手机App

QQ|关于我们|小黑屋|乐筑天下 繁体中文

GMT+8, 2025-3-13 10:19 , Processed in 0.407844 second(s), 62 queries .

© 2020-2025 乐筑天下

联系客服 关注微信 帮助中心 下载APP 返回顶部 返回列表